List authors
GET
https://api.beehiiv.com/v2/publications/:publicationId/authors
Retrieve a list of authors available for the publication.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
publicationIdstringRequired
format: "^(pub_[0-9a-fA-F\-]+)$"The prefixed ID of the publication object
Query parameters
limitintegerOptional
A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
pageintegerOptional
Pagination returns the results in pages. Each page contains the number of results specified by the limit (default: 10).
If not specified, results 1-10 from page 1 will be returned.
namestringOptional
Optionally filter authors by full name or first name (case-insensitive).
Response
OK
datalist of objects
A list of authors available for this publication.
limitinteger
The limit placed on the results. If no limit was specified in the request, this defaults to 10.
pageinteger
>=0Defaults to 1The page number the results are from. If no page was specified in the request, this defaults to page 1.
total_resultsinteger
The total number of results from all pages.
total_pagesinteger
The total number of pages.